# Upgrading this package involves, changing the release tag
# as well as patching it.
# To create the patch, 1) git clone repository 2) ptr start
# 3) ./setup-development-environment 4) ptr diff
# The above cannot be done in the spec, use the patch to update
# package (- mjack).

Name:			woeusb
Version:		3.3.1
Release:		%mkrel 4
Summary:		Create a Windows USB from a real Windows DVD or image
License:		GPLv3
Group:			Archiving/Other
URL:			https://github.com/slacka/WoeUSB
Source0:		https://github.com/slacka/WoeUSB/archive/v%{version}/WoeUSB-%{version}.tar.gz
Patch0:			woeusb-3.1.4-setup-development-environment-release.patch
BuildRequires:		wxgtk-devel

%description
This package contains two programs:

 o woeusb: A command-line utility that enables you to create your own bootable
Windows installation USB storage device from an existing Windows
Installation disc or disk image

 o woeusbgui: A GUI wrapper of woeusb based on WxWidgets

Supported images:

Windows Vista, Windows 7, Window 8.x, Windows 10. All languages and any version
(home, pro...) and Windows PE are supported.

Supported bootmodes:

Legacy/MBR-style/IBM PC compatible bootmode
Native UEFI booting is supported for Windows 7 and later images
(limited to the FAT filesystem as the target)


#------------------------------------------------------------
%prep

%setup -q -n'WoeUSB-%{version}'
#autopatch -p1

# setup-development-environment-release
find . -type f -print0 | xargs -0 sed -i "s/@@WOEUSB_VERSION@@/%{version}/"

%build

autoreconf --force --install
%configure \
	--enable-shared \
	--disable-static

%make_build

%install
%make_install
%find_lang %{name}

#------------------------------------------------------------
%files -f %{name}.lang

%{_bindir}/%{name}
%{_bindir}/%{name}gui
%{_mandir}/man1/%{name}.*
%{_mandir}/man1/%{name}gui.*
%{_datadir}/pixmaps/%{name}gui-icon.png
%{_datadir}/%{name}
%{_datadir}/applications/%{name}gui.desktop
#------------------------------------------------------------


%changelog
* Fri Jan 01 2021 wally <wally> 3.3.1-4.mga8
+ Revision: 1667733
- rebuild for wxgtk pre 3.1.5 snapshot

* Tue Nov 03 2020 joequant <joequant> 3.3.1-3.mga8
+ Revision: 1641860
- rebuild with fixed autoconf

* Sun Aug 16 2020 wally <wally> 3.3.1-2.mga8
+ Revision: 1614374
- rebuild for new wxgtk 3.1.4

* Mon May 11 2020 daviddavid <daviddavid> 3.3.1-1.mga8
+ Revision: 1582862
- new version: 3.3.1

* Tue Feb 18 2020 umeabot <umeabot> 3.3.0-2.mga8
+ Revision: 1539619
- Mageia 8 Mass Rebuild

* Mon Dec 09 2019 daviddavid <daviddavid> 3.3.0-1.mga8
+ Revision: 1465386
- new version: 3.3.0

* Tue Nov 12 2019 wally <wally> 3.1.4-5.mga8
+ Revision: 1459495
- rebuild for wxgtk 3.1.3

* Mon Jul 08 2019 wally <wally> 3.1.4-4.mga8
+ Revision: 1419538
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sun Jun 30 2019 wally <wally> 3.1.4-3.mga8
+ Revision: 1416322
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 3.1.4-2.mga7
+ Revision: 1301712
- Mageia 7 Mass Rebuild

* Fri Dec 22 2017 mjack <mjack> 3.1.4-1.mga7
+ Revision: 1183778
- imported package woeusb

